Page MenuHomePhabricator

API database error on continue with generator=categorymembers and prop=linkshere
Closed, ResolvedPublic

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 30 2016, 2:38 PM

@Umherirrender when was the last time (aproximately) that this call gave you an error? I cannot find it on the logs, but I may just need to change the window of search?

Anomie added a subscriber: Anomie.Jun 30 2016, 2:44 PM

Looks like yet another database timeout error.

Anomie added a comment.EditedJun 30 2016, 2:47 PM
exception.log
2016-06-30 14:31:30 [V3UtBgpAANIAAByo3I4AAACV] mw1207 dewiki 1.28.0-wmf.7 exception ERROR: [V3UtBgpAANIAAByo3I4AAACV] /w/api.php?action=query&generator=categorymembers&gcmtitle=Kategorie%3AOperns%C3%A4nger&gcmlimit=max&prop=pageprops%7Cinfo%7Clinkshere&ppprop=defaultsort&inprop=url&lhlimit=max&indexpageids=&lhcontinue=Michael_M%C3%BCller_(S%C3%A4nger)%7C68981&continue=%7C%7Cpageprops%7Cinfo   DBQueryError from line 934 of /srv/mediawiki/php-1.28.0-wmf.7/includes/db/Database.php: A connection error occured. 
Query: SELECT  pl_title,pl_from,pl_namespace AS `bl_namespace`,pl_title AS `bl_title`,page_id,page_title,page_namespace,page_is_redirect  FROM `pagelinks`,`page`   WHERE (pl_title > 'Michael_Müller_(Sänger)' OR (pl_title = 'Michael_Müller_(Sänger)' AND (pl_from >= 68981))) AND (pl_from = page_id) AND ((pl_namespace = '0' AND pl_title IN ('Opernsänger','Lina_Abarbanell','Luigia_Abbadia','Emma_Abbott','Irene_Abendroth','Varduhi_Abrahamyan','Wanda_Achsel','Aino_Ackté','Theo_Adam','Josef_Valentin_Adamberger','Carl_Adami','Adele_Addison','Titilayo_Adedokun','Bruno_Aderhold','Siegfried_Adler','Eva_Adler-Hugonnet','Gabriela_Adorni','Augustarello_Affre','Karola_Ágai','Maria_Agresta','Ida_Ahlers','Mathieu_Ahlersmeyer','Claes-Håkan_Ahnsjö','Hans_Georg_Ahrens','Frank_van_Aken','Gan-ya_Ben-gur_Akselrod','Roberto_Alagna','Licia_Albanese','Emma_Albani','Werner_Alberti','Marietta_Alboni','Teresa_Albuzzi-Todeschini','Tomás_Alcaide','Bernd_Aldenhoff','Gottardo_Aldighieri','Dirk_Aleschus','Maria_Alexander','Roberta_Alexander','Ines_Alfani-Tellini','Marianne_Alfermann','Irene_Alföldi','Lucia_Aliberti','Adolphe-Joseph-Louis_Alizard','Josef_Alken','Minna_Alken-Minor','Betty_Allen','Maud_Perceval_Allen','Thomas_Allen_(Sänger)','Thomas_Michael_Allen','Heinrich_Allmeroth','Babette_Allram','Marian_Alma','Laura_Alonso_Padín','Gitta_Alpár','Graciela_Alperyn','Herbert_Alsen','Saadet_İkesus_Altan','Bella_Alten','Max_Altglass','Jeannine_Altmeyer','Theo_Altmeyer','Marie_Altona','Luigi_Alva','Carlos_Álvarez_(Sänger)','Marcelo_Álvarez','Lorenzo_Alvary','Max_Alvary','Pasquale_Amato','Émilie_Ambre','Zdravka_Ambrić','Joseph_Karl_Ambrosch','David_Ameln','Anna_Lucia_de_Amicis','Marion_Ammann','Angelo_Amorevoli','Rosette_Anday','Alois_Ander','Peter_Anders_(Sänger)','Alf_Andersen_(Sänger)','June_Anderson','Marian_Anderson','Susanna_Andersson','Francisco_d’Andrade','Johanna_André','Melanie_Andrée','Giovanni_Battista_Andreoni','Ivar_F._Andrésen','Ain_Anger','Margit_Angerer','Wolfgang_Anheisser','Annagul_Annakuliyeva','Domenico_Annibali','Erik_Anstine','Georg_Anthes','Charles_Anthony','Luigi_Antinori','Ioannis_Apostolou','Pavlina_Apostolova','Wolf_Appel','Hans_Appelbaum','Giuseppe_Appiani_(Sänger)','Benjamin_Appl','Rolf_Apreck','Jaume_Aragall','Francisco_Araiza','Giannina_Arangi-Lombardi','Desider_Aranyi','Neill_Archer','Irina_Konstantinowna_Archipowa','Alessio_Arduini','Nancy_Argenta','Aris_Argiris','Oxana_Arkaeva','Erik_Årman','Karan_Armstrong','Kevin_Armstrong_(Sänger)','Sheila_Armstrong','Arndís_Halla','Anton_Arnold','Irmgard_Arnold','Sophie_Arnould','Blanche_Arral','Martina_Arroyo','Donald_Arthur','Josefine_von_Artner','Désirée_Artôt_de_Padilla','Brian_Asawa','Rudolf_Asmus','Michael_Aspinall','Carl_Astner','Stephanie_Atanasov','Wladimir_Andrejewitsch_Atlantow','Gabriele_Auenmüller','Arleen_Augér','Anja_Augustin','Ludwig_Auspitz','Frederic_Austin','Kerstin_Avemo','Hugo_Avendaño','Kurt_Azesberger','Karine_Babajanyan','Anton_Babnigg','Monica_Bacelli','Per_Bach_Nissen','Eduard_Bachmann','Hermann_Bachmann_(Sänger)','Catharina_Bäcker','Gabriel_Bacquier','Hans-Dieter_Bader','Cesare_Badiali','Janina_Baechle','Yoonki_Baek','Evelyn_Baghcheban','Anja-Nina_Bahrmann','Anna_Baier','Ida_Baier','Janice_Baird','Igor_Bakan','Viktorija_Bakan','Janet_Baker','Georges_Baklanoff','Aldo_Baldin','Michael_William_Balfe','Max_Ballmann','Anton_Balluff','Agnes_Baltsa','Rose_Bampton','Rudolf_Bandler','Alexander_von_Bandrowski','Marta_Banfalvi','Wolfgang_Bankl','Juliane_Banse','Ludwig_Bär_(Musiker)','Olaf_Bär','Sári_Barabás','Claudia_Barainsky','Kristina_Baran','Emőke_Baráth','Fedora_Barbieri','Caterina_Barili','Daniele_Barioni','Gun-Brit_Barkmin','Linda_Barla_Ricci','Klara_Barlow','Reinhold_Bartel','Jean_Bartet','Clarry_Bartha','Cecilia_Bartoli','Rita_Bartos','Robert_Bartram','Alfred_von_Bary','Jasmin_Bašić','Hans_Basil','Louisa_Bassano','Adolf_Bassermann','Luigi_Bassi','Eduard_Basta','Julie_Basta','Marie_Basta','Dilara_Baştar','Ettore_Bastianini','Jules_Bastin','Ulf_Bästlein','Jane_Bathori','Hans_Batteux','Franz_Xaver_Battisti','Mattia_Battistini','Kathleen_Battle','Juri_Batukov','Alfred_Bauberger','Louis_Bauer','Mathilde_Bauermeister','Emma_Baumann','Ludwig_Baumann_(Sänger)','Margarete_Bäumer','Kaspar_Bausewein','Rosa_Bavarese','Carl_Bay','María_Bayo','Isabel_Bayrakdarian','Herbert_Beattie','Maite_Beaumont','Gino_Bechi','Hermann_Becht','Johann_Nepomuk_Beck','Josef_Beck_(Sänger)','Josefa_Beck','Karl_Beck_(Sänger)','Wilhelm_Beck_(Sänger)','Liselotte_Becker-Egner','Adele_Beckmann','Friedel_Beckmann','Judith_Beckmann','Minna_Beckmann-Tube','Anna_Beck-Radecke','Frieda_Beck-Weichselbaum','Piotr_Beczała','Birgit_Beer','Lola_Beeth','Rashid_Behbudov','Daniel_Behle','Harriet_Behnne','Magdalena_Behrendt-Brandt','Hildegard_Behrens','Paul_Beinert','Hans_Beirer','Erwin_Belakowitsch','Maria_Beling','Lena_Belkina','Giuseppe_Belli_(Soprankastrat)','Gemma_Bellincioni','Adolph_Benda','Elly_Bender','Paul_Bender_(Sänger)','Antonio_Peregrino_Benelli','Adele_Benetti','Volker_Bengl','Maria_Bengtsson_(Sängerin)','Gary_Bennett','Lilian_Benningsen','Heinrich_Bensing','Papa_Benz','Jean-Antoine_Bérard','Julius_Bercht','Julius_Berend','Gaetano_Berenstadt','Teresa_Berganza','Louise_Bergauer','Erna_Berger','Helmut_Berger-Tuna','Johann_Gottfried_Bergmann','Rupert_Bergmann','Carlo_Bergonzi','Karel_Berman','Giuliano_Bernardi','Margarethe_Bernbrunn','Ludwig_Bernhardt','Walter_Berry','Lucy_Berthet','Gotthelf_Leberecht_Berthold','Tommaso_Berti','Francesca_Bertolli','Heinrich_Bertram_(Sänger)','Marie_Bertram','Theodor_Bertram','Jasmin_Besig','Matthew_Best','Friederike_Bethmann-Unzelmann','Emmy_Bettendorf','Franz_Betz_(Sänger)','Elise_Beuer','Hans-Joachim_Beyer','Wilhelm_Beyer_(Sänger,_1865)','Olga_Bezsmertna','Bianca_Bianchi','René_Bianco','Hedwig_von_Bibow','Bogusław_Bidziński','Andrzej_Bielecki','Louis_von_Bignio','Katja_Bildt','Sebastian_Binder_(Sänger)','Gertrud_Bindernagel','Carl_Birnbaum_(Schauspieler)','Josef_Birnstill','Wilhelm_Birrenkoven','Johannes_Bischoff','David_Bižić','Ingrid_Bjoner','Jussi_Björling','Elsa_Bland','James_Bland_(Sänger)','Viktoria_Blank','Toni_Blankenheim','Fritz_Blankenhorn_(Sänger)','Leopoldine_Blasel','Robin_Blaze','Martha_Blech-Frank','Frank_Blees','Josef_Bletzacher','Hans_Peter_Blochwitz','Bianka_Blume','Heinrich_Blume_(Schauspieler)','Irmgard_Boas','Björn_Bobach','Luigia_Boccabadati','Rudolf_Bockelmann_(Sänger)','Jelena_Bodražić','Louis_Odo_Boeck','Christian_Boesch','Florian_Boesch','Ruthilde_Boesch','Ursula_Boese','Wanda_von_Bogdani','Charlotte_Dorothea_Böheim','Joseph_Michael_Böheim','Monika_Bohinec','Albert_von_Böhme','Kurt_Böhme_(Sänger)','Michael_Bohnen','Margit_Bokor','Hans-Heinz_Bollmann','Helge_von_Bömches','Anna_Bon_di_Venezia','Fortunio_Bonanova','Alessandro_Bonci','Anna_Bondra','Franco_Bonisolli','Barbara_Bonney','Maya_Boog','Rose_Book','Katja_Boost','Bodo_Borchers','Hanna_Borchers','Henny_Borchers','Nikolay_Borchev','Peter_Bording','Marco_Bordogni','Faustina_Bordoni','Minna_Borée','Kim_Borg','Emil_Borgmann','Lucrezia_Bori','Inge_Borkh','Claire_Born','Olga_Wladimirowna_Borodina','Edith_Boroschek','Antonio_Borosini','Martina_Bortolotti','Therese_Boschetti','Giuseppe_Maria_Boschi','Hermine_Bosetti','Maria_Bossenberger','Eduard_Bost','Ian_Bostridge','Heinrich_Bötel','Caroline_Botgorschek','Johan_Botha_(Sänger)','Louis_Bötticher','Zulma_Bouffar','Ian_Jon_Bourg','Winnie_Böwe','James_Bowman_(Sänger)','Wilhelmine_Brabé','Hermann_Brag','Hermine_Braga-Jaff','John_Braham','Adolf_Brakl','Franz_Josef_Brakl','Josephine_Brandell','Georg_Brandes_(Sänger)','Marie_Brandis','Ellen_Brandt','Marianne_Brandt_(Sängerin)','Horiana_Brănișteanu','Karin_Branzell','Rúni_Brattaberg','Frieda_Brauer','Herbert_Brauer','Carl_Braun_(Sänger)','Hans_Braun_(Sänger)','Oskar_Braun_(Sänger)','Russell_Braun','Jella_Braun-Fernwald','Michelle_Breedt','Wiktor_Brégy','Sofie_Brehm-Fritsch','Richard_Breitenfeld','Hermann_Breiting','Georgette_Bréjean-Silver','Marie_Brema','Else_Brems','Wolfgang_Brendel','Gerd_Brenneis','Pavol_Breslik','Nicolae_Bretan','Gábor_Bretz','Elise_Breuer','Hans_Breuer_(Sänger)','Elisabeth_Breul','Roxana_Briban','Althea_Bridges','Otto_Briesemeister','Pasquale_Brignoli','Helge_Brilioth','Rudolf_Brinkmann_(Sänger)','Laura_Brioli','Antonio_Brizzi','Jenny_Broch','Friedrich_Brodersen','Sophia_Brommer','June_Bronhill','Cornelis_Bronsgeest','Tibor_Brouwer','Anne_Brown','Alison_Browner','Philipp_Brozel','Robert_Brubaker','Jörg_Brückner_(Sänger)','Otto_Brucks','Jacqueline_Brumaire','Maria_Brüning','Heidi_Brunner','Heinrich_Bruns_(Schauspieler)','Heidemarie_Brüny','Renato_Bruson','Reinhard_Brussmann','Markus_Brutscher','Franz_Bucar_(Sänger)','Karl_Bucha','Eberhard_Büchner','Jan_Buchwald','Cathinka_Buchwieser','Max_Bucksath','Susan_Bullock','Nicole_Buloze','Paul_Bulß','Özlem_Bulut','Grace_Bumbry','Georg_Heinrich_Bümler','Poul_Bundgaard','Eva-Maria_Bundschuh','Gianluca_Buratto','Jenny_Bürde-Ney','Henriette_Burenne','Robert_Burg','Anton_Bürger','Björn_Bürger','Max_Bürger_(Sänger)','Josef_Burgwinkel','Karel_Burian','Annelies_Burmeister','Ernst_Bürstinghaus','Paata_Burtschuladse','Lotte_Buschan','Rainer_Büsching','Christopher_Busietta','Hans_Bussard','Arnold_Busshoff','Camille_Butcher','Markus_Butter','Max_Büttner_(Sänger)','Ion_Buzea','Montserrat_Caballé','Arno_Cabisius','Francesca_Caccini','Joseph_Caché','Marie_Cachová','Flurin_Caduff','Caffarelli','Franco_Calabrese','Auguste_Caliga-Ihle','Friedrich_Caliga-Reh','Maria_Callas','Joseph_Calleja','Wiktoria_Calma','Emma_Calvé','Pablo_Cameselle','Italo_Campanini','Antoinette_Campi','William_Candidus','Maria_Caniglia','Irma_Capece_Minutolo','Elise_Capitain','Piero_Cappuccilli','Nicole_Car','Selcuk_Cara','Giovanni_Carestini','Jaklin_Çarkçı','Henriette_Carl','Friedrich_Carlén','Amalia_Carneri','Willy_Caron','Margherita_Carosio','Benjamin_Carr','Josep_Carreras','Enrico_Caruso','Lisa_della_Casa','Justina_Casagli','Francisco_Casanova_(Sänger)','Celestina_Casapietra','Nedda_Casei','Giulio_Alvise_Caselli','Freya_Casey','John_Cashmore','Jayne_Casselman','Nico_Castel','León_de_Castillo','Charles_Castronovo','Angelica_Catalani','Caterina_Cavalieri','Lina_Cavalieri','Elsa_Cavelti','Maria_Cebotari','Mária_Celeng','Alan_Cemore','Fausto_Cepeda','Lucie_Ceralová','Germaine_Cernay','Anita_Cerquetti','Soňa_Červená','Michael_Chance','Seho_Chang','Caroline_Charles-Hirsch','Irene_von_Chavanne','Anna_Chen','Maria_Chiara','Anne_Childes_Seguin','Oreste_Chlopecki','Cho_Jeong-ki','Elwira_Chochlowa','Lili_Chookasian','Rudolf_Christ_(Sänger)','Hans_Christian','Antonie_Christiany','Boris_Christow','Tassis_Christoyannis','Dorothea_Chryst','Dmitri_Alexandrowitsch_Chworostowski','Eduardo_Ciannelli','Gina_Cigna','Krunoslav_Cigoj','Renato_Cioni','Ercole_Ciprandi','Toni_Claar-Eibenschütz','Marc_Claasen','Marc_Claesen','Lillie_Claus','Hans_Clemens','Kitty_Clive','Mimi_Coertse','Luigi_Colazza','Isabella_Colbran','Noé_Colín','Scipio_Colombo','Gaspar_Colón_Moleiro','Anselmo_Colzani','Werner_Compes','Elizabeth_Connell','Ben_Connor','Andreas_Conrad','Spelios_Constantine','Alice_Coote','Alfredo_Corda','Marcel_Cordes','Ulrich_Cordes','David_Cordier','Franco_Corelli','Fernando_Corena','Teresa_Cornelys','Franziska_Cornet','Julius_Cornet','Clorinda_Corradi','Giovanni_Corsi_(Sänger)','Antonio_Cortis','Fiorenza_Cossotto','Franz_Costa','Ileana_Cotrubaș','Richard_Cowan_(Sänger)','Jean_Cox','Ludwig_Cramolini_(Sänger)','Franz_Crass','Marianne_Crebassa','Girolamo_Crescentini','Régine_Crespin','Gillian_Crichton','Michèle_Crider','Wilhelm_Cronberger','Liane_Croon','Edwin_Crossley-Mercer','Anna_Maria_Crouch','Lucy_Crowe','Sophie_Cruvelli','Rosa_Csillag','Hugues_Cuénod','Maud_Cunitz','José_Cura','Tony_Curiel','Phyllis_Curtin','Cesare_Curzi','Francesca_Cuzzoni','Elise_Czabon','Ingrid_Czerny','Oskar_Czerwenka','Engelbert_Czubok','Toti_dal_Monte','Laurence_Dale','Christina_Daletska','Fabrice_Dalis','Irene_Dalis','Adolf_Dallapozza','Okka_von_der_Damerau','Cristina_Damian','Diana_Damrau','Friedrich_Dams','Suzanne_Danco','Carlo_Dani','David_Daniels','Isidor_Dannström','Ingeborg_Danz','Ildebrando_D’Arcangelo','Hariclea_Darclée','Anita_Darian','Annette_Dasch','Elfi_von_Dassanowsky','Katharina_Dau','Johann_Ernst_Dauer','Sofie_David','Gloria_Davy','Max_Dawison','Lynne_Dawson','Peter_Dawson_(Sänger)','Alfredo_Daza','Margarita_De_Arellano','Achille_De_Bassini','Luigi_De_Donato','Giuseppe_De_Luca_(Sänger)','Fernando_de_Lucia','Mikel_Dean','Eduard_Decarli','Stephen_DeCesare','Felix_Decken','Marie_Deetz','Doreen_DeFeis','Eugen_Degele','Stéphane_Degout','Hayk_Dèinyan','Mario_del_Monaco','Rózsi_Delly','Mireille_Delunsch','Vinzenz_Maria_Demetz','Carl_Demmer_(Sänger,_1766)','Friedrich_Demmer_(Sänger,_1786)','Friedrich_Demmer_(Sänger,_1803)','Leopold_Demuth','Erna_Denera','Johann_Georg_Wenzel_Dennerlein','Angela_Denoke','Wilhelm_Deny','Piero_de_Palma','Anton_Dermota_(Sänger)','Helga_Dernesch','Wolfram_Igor_Derntl','Gabriella_Déry','Kerstin_Descher','Natalie_Dessay','Ema_Destinová','Friedrich_Dettmer','Wilhelm_Georg_Dettmer','Cristina_Deutekom','Luana_DeVol','Louis_Devos','Eduard_Devrient','Paul_Devrient','Martha_Dewal','Giuseppe_Di_Stefano','Anton_Diakov','John_Dickie_(Sänger)','Walter_Dicks','Joyce_DiDonato','Adam_Didur','Franz_Diener_(Sänger)','Melanie_Diener','Marie_Dietrich','Ernst_Friedrich_Diez','Sophie_Diez','Napoleón_Dihmes','Bertha_von_Dillner','Henriette_Dima','Gena_Dimitrowa','Andreas_Dippel_(Sänger)','Franz_Ditt','Rudolf_Dittrich_(Sänger)','Larissa_Iwanowna_Djadkowa','Kinga_Dobay','Livia_Dobay-Bauer','Andrzej_Dobber','Mattiwilda_Dobbs','Aloys_Dobler','Paula_Doenges','Zoltán_Döhme','Albert_Dohmen','Melanie_Domenego','Willi_Domgraf-Fassbaender','Plácido_Domingo','Oralia_Domínguez','Dominique_(Isoldé_Elchlepp)','Pauline_Donalda','Helen_Donath','Tanja_Donath','Walter_Donati','Karl_Dönch','Ruxandra_Donose','Georg_Döring_(Sänger)','Åsa_Dornbusch','Otto_Dornewaß','Wilhelm_Dörwald','Hans-Günther_Dotzauer','Stella_Doufexis','Lothar_Dräger','Katija_Dragojevic','Maria_Dragoni','Stephan_Drakulich','Alois_Draxler','Josef_Draxler','Manfred_Drescher','Lili_Dreßler','Otto_Drewes','Susanne_Drexl','Ruben_Drole','Zerline_Drucker','Uladsimir_Dsmitruk','Sergej_Dubrovin','Dale_Duesing','Karl_Düffke','Hans_Duhan','Constantin_Dumitru','Julie_Dumont-Suvanny','Gustav_Dupont','Gilbert_Duprez','José_Dupuis','Margarete_Düren','Caroline_Düringer','Ana_Durlovski','Jörg_Dürmüller','Karl-Friedrich_Dürr','Jeanne_Dusseau','Silvana_Dussmann','Marie_Louise_Dustmann-Meyer','Denise_Duval','Edmond_Duvernoy','Claire_Dux','Ludmila_Dvořáková','Peter_Dvorský','Pete_Dwojak','Ernest_van_Dyck','Emma_Eames','Florence_Easton','Thomas_Ebenstein','Clara_Ebers','Elisabeth_Ebert','Henriette_Eberwein','Karin_Eckhold','Nelson_Eddy','Otto_Edelmann','Paul_Armin_Edelmann','Peter_Edelmann','Philippine_von_Edelsberg','Claudia_Eder','Marie_Eder','Edmüller','Ilse_Eerens','Martin_Egel','Franz_Egenieff','Louise_Ehlers_(Sängerin)','Wilhelm_Ehlers_(Sänger)','Bertha_Ehnn','Eleonora_Ehrenberg','Gisela_Ehrensperger','Louise_von_Ehrenstein','Paul_Ehrke','Felix_Ehrl','Riza_Eibenschütz','Josef_Eichberger_senior','Wilhelm_Eichberger','Markus_Eiche','Hugo_Eigendorff','Trude_Eipperle','Brigitte_Eisenfeld','Irene_Eisinger','Ladislav_Elgr','Elise_Elizza','Friederike_Ellmenreich','Åsa_Elmgren','Christian_Elsner','Maria_Elsner','Wilhelm_Elsner_(Sänger)','Henry_Ely','Gunther_Emmerlich','Josef_Emminger','Erik_Enderlein','Werner_Enders','Birgit_Engell','Kieth_Engen','Ruthild_Engert-Ely','Joseph_Eppich','Karl_Erb_(Sänger)','Mojca_Erdmann','Eugenie_Erdösy','Marie_Erhard','Antonie_Erhartt','Mari_Eriksmoen','Elisabeth_Erikson','Friedrich_Erl','Malena_Ernman','Norbert_Ernst','Dezső_Ernster','Josefine_Ernst-Kaiser','Adrian_Eröd','Natalie_Eschborn','Eva_Eschenbach','Arthur_Espiritu','Hermin_Esser','Christine_Esterházy','Simon_Estes','Rosa_Ethofer','Henriette_Dauer-von_Etzdorf','Friedrich_Eunicke','Therese_Eunicke','Daphne_Evangelatos','Allan_Evans_(Sänger)','Axel_Everaert','Otto_Ewald','Maria_Ewing','Yusif_Eyvazov','Arantza_Ezenarro','Johannes_Faber','Franco_Fagioli','Antonia_Fahberg','Hila_Fahima','Hanna_Fahlbusch-Wald','Walther_Falkenstein','Daniela_Fally','Valentina_Farcas','Farinelli','Amparito_Farrar','Geraldine_Farrar','Eileen_Farrell','Brigitte_Fassbaender','Hedwig_Fassbender','Zdenka_Faßbender','Hedy_Fassler','Auguste_von_Faßmann','Jean-Baptiste_Faure','Lorenz_Fehenberger','Franz_Fehringer_(Sänger)','Rudolf_Feichtmayer','Auguste_Feige','Fritz_Feinhals','Marie_Fel','Anny_Felbermayer','Ottilie_Fellwock','Frida_Felser','José_Ferenczy','Wilhelmenia_Fernandez','Cesira_Ferrani','Adriana_Ferrarese_del_Bene','Pier_Miranda_Ferraro','Baldassare_Ferri','Flavio_Ferri-Benedetti','Kathleen_Ferrier','Oskar_Feuge','Hans_Fidesser','Hans_Herbert_Fiedler','Oscar_Fiedler','Medea_Figner','Mario_Filippeschi','Marie_Fillunger','Filippo_Finazzi','Rafael_Fingerlos','Manfred_Fink','Walter_Fink_(Sänger)','Gerald_Finley','Albert_Fischer_(Sänger)','Anna_Fischer_(Sängerin)','August_Fischer_(Sänger)','Karl_Fischer_(Schauspieler,_1780)','Laila_Salome_Fischer','Ludwig_Fischer_(Sänger)','Philine_Fischer','Sarah_Fischer','Dietrich_Fischer-Dieskau','Marianne_Fischer-Kupfer','Carole_FitzPatrick','Ezio_Flagello','Kirsten_Flagstad','Lauren_Flanigan','Eva_Fleischer','Hanns_Fleischer','Jenny_Fleischer-Alt','Renée_Fleming','Alexander_Flessburg_(Schauspieler)','Miguel_Fleta','Christian_Fliegner','Juan_Diego_Flórez','Aranka_Fodor','Allan_James_Foley','Maria_Fołtyn','Carl_Gustav_Föppel','Heinrich_Anton_Föppel','Moje_Forbach','Bruce_Ford','Karl_Formes','Theodor_Formes','Luciano_Fornasari','Maureen_Forrester','Gertrud_Förstel','Helena_Forti','Tugomir_Franc','Rudolf_Francl','Thomas_Franke_(Sänger)','Emanuela_von_Frankenberg','Ferdinand_Frantz','Christian_Franz_(Sänger)','Johann_Christian_Franz','Manolito_Mario_Franz','Paul_Franz','Hans_Franzen','Gaetano_Fraschini','Mandy_Fredrich','Gerhard_Frei','Mirella_Freni','Rudolf_Freny','Cornel_Frey','Hans-Joachim_Frey','Erminia_Frezzolini','Gottlob_Frick','August_Ludwig_Fricke','Lina_Frieb','Aline_Friede','Christine_Friedlein','Laura_Friedmann','Karl_Friedrich_(Sänger)','Christof_Fries','Jutta_Maria_Fries','Monika_Frimmer','Anett_Fritsch','Barbara_Frittoli','Harro_Heinz_Theodor_Fromme','Marta_Fuchs','Alfons_Fügel','Carmen_Fuggiss','Mihoko_Fujimura','Ferruccio_Furlanetto','Dorothee_Fürstenberg','Anna_Gabler','Edith_Gabry','Johanna_Gadski','Claire_Gagnier','Sylvia_Gähwiller','Pierre_Gailhard','Inessa_Galante','Eddra_Gale','Hermine_Galfy','Peter_Galliard','Amelita_Galli-Curci','Hermann_Gallos','Robert_Gambill','Christina_Gansch','Elīna_Garanča','Ottavio_Garaventa','Gustave_García','Lautaro_García','Manuel_Patricio_Rodríguez_García','Mary_Garden','Aida_Garifullina','Omar_Garrido','Kenneth_Garrison','Henriette_Garthe','Heinrich_Gärtner_(Sänger)','Cecilia_Gasdia','Michelangelo_Gasparini','Miriam_Gauci','Edward_Gauntt','Éva_Gauthier','Karina_Gauvin','Julián_Gayarre','Catherine_Gayer','Nicolai_Gedda','Johanna_Geisler','Walter_Geisler_(Sänger)','Nicola_Geisse-Winkel','Marie_Geistinger','Matilda_Gelhaar','Antonio_Gelli','Anton_Genast','Eduard_Genast','Vivica_Genaux','Leyla_Gencer','Friedrich_Genée','Ottilie_Genée','Henri_Génès','Véronique_Gens','Else_Gentner-Fischer','Christoph_Genz','Rita_Georg','Johann_Christian_Gerber','Klaus_Gerber','Christian_Gerhaher','Elena_Gerhardt','Marie_Gerhart','Josef_Gerhartz_(Sänger,_1865)','Ina_Gerhein','Isa_Katharina_Gericke','Franziska_Gerl','Johannes_Gerl','Thaddäus_Gerl','Rudolf_Gerlach-Rusnak','German_Tenors','Chibla_Lewarsowna_Gersmawa','Friedrich_Samuel_Gerstäcker','Christina_Gerstberger','Frank_Gersthofer','Mechthild_Gessendorf','Marianne_Gesswagner','Kurt_Gester','Sylvia_Geszty','Traugott_Gey','Sona_Ghazarian','Angela_Gheorghiu','Teodora_Gheorghiu','Johanna_von_Ghilany','Carmen_Giannattasio','Beniamino_Gigli','Barbara_Gilbert','Gail_Varina_Gilmore','Laura_Giordano_(Sängerin)','Massimo_Giordano','Nina_Girado','Gizziello','Nikolaj_Gjaurow','Nikola_Gjusselew','Paul_Glahn','Carola_Glaser','John_Gläser','Elisabeth_Glauser','Rupert_Glawitsch','Herta_Glaz','Ruth_Glowa-Burkhardt','Johann_Christoph_Gloy','Alma_Gluck','Ella_Gmeiner','Rudolf_Gmür_(Sänger)','Louise_Gned','Nina_Gned','Tito_Gobbi','Eduard_Göbel','Matthias_Goerne','Emil_Karl_Goetze','Moritz_Gogg','Christine_Gogolin','Dorothea_Göhrs','Albert_Goldberg','Reiner_Goldberg','Friedrich_Karl_Gollmick','Christel_Goltz','Marianne_Golz','Wilhelm_Gombert','Caroline_von_Gomperz-Bettelheim','Eva-Maria_Görgen','Otto_Goritz_(Sänger)','Christine_Görner','Rita_Gorr','Andeka_Gorrotxategi','Alenka_Gotar','Dela_E._Gotthelft','Heinrich_Gottinger','Anna_Gottlieb','Henriette_Gottlieb','Cornelia_Götz','Werner_Götz','Camilla_Götzl','Stephen_Gould','Henriette_Grabau-Bünau','Theresa_Grabner','Thessa_Gradl','Susan_Graham','Hans_Grahl','Max_Grahl','Ilse_Gramatzki','Käthe_Graus','Denyce_Graves','Francesco_Graziani_(Sänger)','Ryan_Speedo_Green','Sylvia_Greenberg','Tobias_Greenhalgh','Josef_Greindl','Michael_Greiner','Evgenia_Grekova','Thomas_Greuel','Franz_Greve','Peter_Grevenberg','Hans_Griepentrog_(Sänger)','Vittorio_Grigolo','Asmik_Grigorian','Stella_Grigorian','Gegam_Grigorjan','Nicolò_Grimaldi','Giuditta_Grisi','Giulia_Grisi','Reri_Grist','Margarita_Gritskova','Anna_Grobecker','Herbert_Ernst_Groh','Alois_Grois','Veronika_Groiss','Günther_Groissböck','Monica_Groop','Ferdinand_Groß_(Sänger)','Paul_Groves','Traian_Grozăvescu','Valentine_Grub','Ferry_Gruber','Edita_Gruberová','Elisabeth_Grümmer','Friederike_Christine_Grün','Johann_Christoph_Grünbaum','Per_Grundén','Franz_Grundheber','Gottfried_Grünewald','Adolf_Grünhut','Gertrud_Grunow','Frank_Guarrera','Heinrich_Gudehus','Hilde_Güden','Giangiacomo_Guelfi','Nanette_Guilford','Margot_Guilleaume','Babette_Gundy','Eva_Günschmann','Horst_Günter','Adelheid_Günther','Carl_Günther_(Sänger,_1885)','Carl_Wilhelm_Günther_(Sänger)','Friedrich_Günther_(Schauspieler)','Mizzi_Günther','Gustav_Gunz','Anita_Gura','Eugen_Gura','Hedy_Gura','Werner_Güra','Alice_Guszalewicz','Eugen_Guszalewicz','Marie_Gutheil-Schoder','Ernst_Gutstein','Wilhelm_Guttmann','Richard_Gutzschbach','Maureen_Guy','Eteri_Gvazava','Adele_Haas','Theodor_Habelmann','Agnes_Habereder','Jerry_Hadley','Eva_Hadrabová','Ernst_Haefliger','Amalie_Haehnel','Natalie_Haenisch','Håkan_Hagegård','Mary_Hagen','Richard_Hagen','Alison_Hagley','Barbara_Hahn_(Sängerin)','Brigitte_Hahn','Caroline_Hahn','Leopold_Hainisch','Anton_Haizinger','Béatrice_Haldas','Richard_Hale','Robert_Hale_(Sänger)','Victor_von_Halem','Eric_Halfvarson','Hugo_Hallego','Ann_Hallenberg','Diana_Haller','Edith_Haller_(Sängerin)','Salomé_Haller','Erich_Hallhuber_(Sänger)','Ingeborg_Hallstein','Júlia_Hamari','August_Karl_Hambuch','Heinrich_Hammermeister','Karl_Hammes','Stephanie_Hampl','Thomas_Hampson_(Sänger)','Dorit_Hanak','Carmen_Hanganu','Georg_Hann','Barbara_Hannigan','Annie_Hans','Christian_Hansen_(Sänger)','Ib_Hansen','Ove_Verner_Hansen','Adolf_Harbich','Elfriede_Harden','August_Harlacher','Helene_Harlaß','Rachel_Harnisch','Heather_Harper','Malin_Hartelius','Anja_Harteros','Anita_Hartig','Martin_Härtinger','Rudolf_A._Hartmann','Gretel_Hartung','Elizabeth_Harwood','Werner_Haseleu','Ulfried_Haselsteiner','Charlotte_Häser','Gustav_Häser','Mathilde_Häser','Sabine_Hass','Friedrich_Hassel_(Schauspieler)','Anna_Maria_Wilhelmine_van_Hasselt-Barth','Johanna_van_Hasselt-Barth','Karl_Haßloch','Jeanne_Hatto','Elisabeth_Hau','Ingrid_Haubold','Walter_Hauck_(Sänger)','Aage_Haugland','Minnie_Hauk','Cornelius_Hauptmann','Doris_Haus','Franz_Hauser_(Sänger)','Barbara_Haveman','Deborah_Hawksley','Franz_Hawlata','Johann_Evangelist_Haydn','Alexander_Haydter','Catherine_Hayes','Roland_Hayes','Erzsébet_Házy','Hans_van_Heerden','Peter_Hegar','Melitta_Heim','Sabine_Heinefetter','Linda_Heins','Heinrich_Heitmüller','Hellen_Kwon','Karl_Helm_(Sänger)','Grace_Hall_Hemingway','Frieda_Hempel','Thomas_Hemsley','Roy_Henderson','Barbara_Hendricks_(Sängerin)','Carla_Henius','Anna_Henneberg','Tony_Henry','Dietrich_Henschel','George_Henschel','Jane_Henschel','Elise_Friederike_Hensler','Ben_Heppner','Katharina_Herb','Anna_Herbst','Karl-Josef_Hering','Nicolae_Herlea','Evelyn_Herlitzius','Agnes_Hermann','Dagmar_Hermann','Regine_Hermann','Roland_Hermann','Josef_Herrmann','Margarete_Herzberg','Wilhelm_Hesch','Johanna_Hesse','Karoline_Hetzenecker','Elvira_de_Hidalgo','Georg_Hieb','Ulrich_Hielscher','Bruno_Hildebrandt_(Schauspieler,_1864)','Laura_Hilgermann','Karl_Hill','Oskar_Hillebrandt','Hedwig_Hillengaß','Liat_Himmelheber','Franz_Himmer','Isabel_Hindersin','Jerome_Hines','Wilhelm_Hinze','Andrzej_Hiolski','Yasushi_Hirano','Melanie_Hirsch','Johanna_Hitzelberger','Regina_Hitzelberger','Sabine_Hitzelberger','Borys_Hmyrja','Dmytro_Hnatjuk','Franz_Höbling','Greta_Hofer','Josepha_Hofer','Marga_Höffgen','Grace_Hoffman','Anna_Hoffmann_(Sängerin)','Baptist_Hoffmann','Günther_Hofmann','Peter_Hofmann_(Sänger)','Torsten_Hofmann','Willy_Hofmann','Sebastian_Hofmüller','Helene_Hohenleitner','Lenelies_Höhle','Carola_Höhn_(Sängerin)','Heinz_Holecek','Sebastian_Holecek','Ioan_Holender','Robert_Holl','Charles_Holland_(Sänger)','Otto_Holldack','Matthias_Hölle','Werner_Hollweg','Carl_Holly','Renate_Holm','Richard_Holm','Eugene_Holmes','Alfons_Holte','Friedrich_Holthaus','Jacoba_Susanna_Holtzhausen','Eva_Holzapfel','Robert_Holzer_(Sänger)','Karl-Friedrich_Hölzke','Wolfgang_Holzmair','Elisabeth_Höngen','Hans_Hopf','Josef_Hopferwieser','Gesa_Hoppe','Heinz_Hoppe_(Sänger)','Andreas_Hörl','Paul_Hörmann','Volker_Horn','Marilyn_Horne','Elisabeth_Hornung','Pauline_Horson','Lidija_Horvat-Dunjko','Viktor_Hospach','Ann_Howard_(Sängerin)','Kathleen_Howard','Franz_Hrabanek','Adolf_von_Hübbenet','Ilse_Hübener','Margarete_Huber','Fritz_Hübner','Jakob_Hübner','Hedwig_Hübsch','Éric_Huchet','Semjon_Stepanowitsch_Hulak-Artemowski','Ilse_Hülper','Jacqueline_Humbert','Mathilde_Hummel','Ansgar_Hüning','Erich_Hunold','Lorraine_Hunt_Lieberson','Friedrich_Franz_Hurka','Gerhard_Hüsch','Philippe_Huttenlocher','Alma_Hütter-Krause','Sumi_Hwang','Jorma_Hynninen','August_Iffert','Ida_von_Igo','Andrea_Ihle','Daniza_Ilitsch','Róbert_Ilosfalvy','Maria_von_Ilosvay','Heinz_Imdahl','Richard_Immelmann','Dorothe_Ingenfeld','Alexandru_Ionitza','Hedy_Iracema-Brügelmann','Mirjana_Irosch','Soile_Isokoski','Tamar_Iveri','Maria_Ivogün','Gerd_Jaburek','Hermann_Jadlowker','Anna_Jäger','Ferdinand_Jäger_(Sänger,_1839)','Rudolf_Jäger_(Sänger)','Marie_Jahn','Annette_Jahns','Ermonela_Jaho','Bernhard_Jakschtat','Patricia_Janečková','Yvi_Jänicke','Josef_Janko_(Sänger)','Martina_Janková','Gundula_Janowitz','Herbert_Janssen','Georgine_von_Januschofsky','Konrad_Jarnot','Philippe_Jaroussky','Narine_Jeghijan','Adolf_Jellouschegg','Veronika_Jenke','Pavel_Jeral','Alfred_Jerger','Maria_Jeritza','Siegfried_Jerusalem','Hermann_Jessen','Mizzi_Jezel','Sumi_Jo','Amalie_Joachim','Irène_Joachim','Daniel_Johannsen','Robin_Johannsen','Edward_Johnson_(Sänger)','Johannes_Jokel','Fritzi_Jokl','Della_Jones','Gwyneth_Jones_(Sängerin)','Lars-Erik_Jonsson','Anna_Jordánová','Carl_Jörn','Josef_Josephi','Rosemary_Joshua','Margarete_Joswig','Georges_Jouatte','Karola_Jovanović','Milorad_Jovanović_(Sänger)','Matthias_Juchem','Anna_Judic','Ava_June','Manfred_Jung','Friedrich_Jürgenson','Sena_Jurinac','Grit_van_Jüten','Suzanne_Juyol','Rajna_Kabaiwanska','Isabelle_Kabatu','Anja_Kaesmacher','Johann_Christoph_Kaffka','Alexander_Kaimbacher','Marianne_Kaiser','Clemens_Kaiser-Breme','Ingrid_Kaiserfeld','Willi_Kaiser-Heyl','Gustav_Kaitan','Peter_Kajlinger','Serge_Kakudji','Marek_Kalbus','Franz_Kalchmair','Paul_Kalisch','Peter_Kálmán','Inga_Kalna','Sabine_Kalter','Tomasz_Kaluzny','Hans_Peter_Kammerer','Anja_Kampe','Rita_Kapfhammer','Gertrud_Kappel','Richard_Kaps','Inger_Karén','Mika_Kares','Christiane_Karg','Turid_Karlsen','Peter_Karner_(Sänger)','Katarina_Karnéus','Sophie_Karthäuser','Louise_Kartousch','Ljubow_Jurjewna_Kasarnowskaja','Vesselina_Kasarova','Alfred_Kase','Anna_Maria_Kaufmann','Jonas_Kaufmann','Julie_Kaufmann','Clemens_Kaufung','Michaela_Kaune','Natalia_Kawałek-Plewniak','Margaretha_Susanna_Kayser','Simon_Keenlyside','Sigrid_Kehl','Tobias_Kehrer','Vuokko_Kekäläinen','Zoltán_Kelemen_(Sänger)','Louise_Kellberg','Michael_Kelly_(Sänger)','Barbara_Kemp','Ludovik_Kendi','Yvonne_Kenny','Maria_Keohane','Simone_Kermes','Beatrix_Kernic','John_van_Kesteren','Leo_Ketelaars','Kyle_Ketelsen','Josefine_Kette','Ilseyar_Khayrullova','Christina_Khosrowi','Sibongile_Khumalo','Jan_Kiepura','Dong-Won_Kim_(Sänger)','August_Kindermann','Lydia_Kindermann','James_King_(Sänger,_1925)','Elizabeth_Kingdon','Alexander_Kipnis','Angelika_Kirchschlager','Hermine_Kittel','Janine_Kitzen','Katharina_Klafsky','Franz_Klarwein','Michaela_Klarwein','David_Klein_(Sänger)','Martin_Klein_(Schauspieler)','Peter_Klein_(Sänger)','Regine_Klein','Stella_Kleindienst','Achim_Kleinlein','Julia_Kleiter','Regina_Klepper','Camilla_Klettner','Margarete_Klose','Helmut_Klotz','Hedi_Klug','Waldemar_Kmentt','Max_Knapp','Thekla_Kneisel','Ludwig_Kneiss','Roberta_Knie','Sonja_Knittel','Heinrich_Knote','Paul_Knüpfer','Margit_Kobeck-Peters','Jan_Kobow','Franziska_Romana_Koch','Juliane_Caroline_Koch','Kathrin_Koch','Sophie_Koch','Wolfgang_Koch_(Sänger)','Julie_Koch-Bossenberger','Betty_Kofler','Christiane_Kohl_(Sängerin)','Axel_Köhler','Otto_Köhler_(Sänger)','Karl-Christian_Kohn','Elisabeth_Kohut-Mannstein','Pavel_Kolgatin','René_Kollo','Dora_Komar','Ildikó_Komlósi','Olga_Dmitrijewna_Kondina','Anny_Konetzni','Hilde_Konetzni','Tomasz_Konieczny','Hans-Peter_König','Klaus_König_(Sänger)','Sophie_König','Taras_Konoshchenko','Ludovic_Konya','Sándor_Kónya','Julie_Kopacsy-Karczag','Miliza_Korjus','Artur_Korn','Denis_Alexandrowitsch_Koroljow','Bogomir_Korsow','Hans_Kostwitz','Erika_Köth','Anatoli_Kotscherga','Vitalij_Kowaljow','Jochen_Kowalski','Magdalena_Kožená','Ernst_Kozub','Ferdinand_Kracher','Marianne_Kracher','Josef_Krägel','Emilie_Krall','Johann_Christian_Krampe','Michael_Kranebitter','Johannes_Martin_Kränzle','Josefine_Kratz','Adalbert_Kraus','Alfredo_Kraus','Ernst_Kraus_(Sänger)','Michael_Kraus_(Sänger)','Otakar_Kraus','Philipp_Kraus_(Sänger)','Carlos_Krause','Tom_Krause','Gabrielle_Krauss','Helmut_Krebs','Johann_Baptist_Krebs','Martin_Kremer','Ingrid_Kremling','Esther_Kretzinger','Solveig_Kringlebotn','Karl_Krollmann','Franz_Krolop','Stephanie_Krone','Gotthard_Kronstein','Franz_Krückl','Hugo_Krüger_(Sänger)','Ernst_Krukowski','Heinz_Kruse','Alexandra_Pawlowna_Krutikowa','Ida_Krzyzanowski-Doxat','Adriana_Kučerová','Gladys_Kuchta','Genia_Kühmeier','Paul_Kuën','Otto_Kuhlmann_(Schauspieler)','Agunda_Kulajewa','Olga_Kulchinskaya','Stefanie_Kunschke','Erich_Kunz','Claudia_Kunz-Eisenlohr','Albert_Kunze_(Sänger)','Jochen_Kupfer','Michael_Kupfer-Radecky','Mila_Kupfer-Berger','Annelies_Kupper','Maria_Kurenko','Irene_Kurka','Melanie_Kurt','Selma_Kurz','Aleksandra_Kurzak','Benno_Kusche','Igor_Kuschpler','Sorjana_Kuschpler','Julia_Küsswetter','Karsten_Küsters','Klaus_Kuttler','Max_Kuttner','Karina_Kutz','Mariusz_Kwiecień','Anna_de_La_Grange','Vincenzo_La_Scola','Leonhard_Labatt','Luigi_Lablache','Ella_Lachmann','Bernard_Ładysz','Peter_Lagger','Marc_Laho','Krisztina_Laki','Giorgio_Lamberti_(Sänger)','Thorvald_Lammers','Minna_Lammert','Forrest_Lamont','Leopold_Landau_(Sänger)','Gustav_Landauer_(Sänger)','Christina_Landshamer','Tonny_Landy','Frieder_Lang','Katharina_Lang','Marcel_Lang','Marianne_Lang','Petra_Lang','Aloisia_Lange','Birgit_Corinna_Lange','Cathrin_Lange','Orphée_Langevin','Ursula_Langmayr','Philip_Langridge','Cornelia_Lanz','Mario_Lanza','Sergej_Larin_(Sänger)','Franz_Larkens','Jennifer_Larmore','Anna_Larsson','Lisa_Larsson','Julie_Laska','Frans_Lasson','Jacek_Laszczkowski','Martin_Lattke','Antonia_Laucher','Oskar_von_Lauppert','Isabella_von_Lauppert-Martin','Giacomo_Lauri-Volpi','Bertha_Lauterer','Mhairi_Lawson','Hipólito_Lázaro','Margot_Leander','Evelyn_Lear','Hans_Lebert','Georgette_Leblanc','Suzie_LeBlanc','Franziska_Lebrun','Gabriele_Lechner','José_Lederer','Christopher_Lee','Ha_Young_Lee','Louise-Rosalie_Lefebvre','Robert_Leffler','Joseph_Legros','Lilli_Lehmann','Lotte_Lehmann','Wiebke_Lehmkuhl','Matti_Lehtinen','Topi_Lehtipuu','Ludwig_Leichner','Frida_Leider','Sergei_Petrowitsch_Leiferkus','Reinhard_Leisenheimer','Elisabeth_Leisinger','Christian_August_Joachim_Leißring','Sergei_Jakowlewitsch_Lemeschew','Marie-Nicole_Lemieux','Tiana_Lemnitz','Frank_Lendor','Friedrich_Lenz_(Sänger)','Leopold_Lenz','Elsa_Lewinsky','Hanna_Leybrand','Carl_August_Friedrich_Liberati','Christiane_Libor','Paula_von_Lichtenfels','Karl_August_von_Lichtenstein','Romelia_Lichtenstein','Simone_Lichtenstein','Salvatore_Licitra','Adalbert_Lieban','Adolf_Lieban','Julius_Lieban','Siegmund_Lieban','Eva_Liebau','Eva_Liebenberg','Erna_Liebenthal','Else_Liebesberg','Ilva_Ligabue','Catarina_Ligendza','Peter_Lika','Margarita_Lilowa','Luis_Lima','Luise_Limbach','Eva_Lind','Jenny_Lind','Hélène_Lindqvist','Thea_Linhard','Elisabeth_Linhart','Glenys_Linos','Marjana_Lipovšek','Wilma_Lipp','Herbert_Lippert_(Sänger)','Marcello_Lippi_(Sänger)','Pawel_Gerassimowitsch_Lisizian','Emmy_Lisken','Tatiana_Lisnic','Hans_Lissmann','Emanuel_List','David_Lloyd_(Sänger,_1912)','Robert_Lloyd','Marcela_de_Loa','Rebecca_Jo_Loeb','Franz_Loebel','Felix_Loeffel','Mathilde_Löffler','Jean_Löhe','Johanna_Loisinger','Carlo_Ambrogio_Lonati','George_London','Emmy_Loose','Colette_Lorand','Peter_Lordmann','Pilar_Lorengar','Max_Lorenz_(Sänger)','Siegfried_Lorenz_(Sänger)','Albert_Lortzing','Victoria_de_los_Ángeles','Liselotte_Losch','Felicity_Lott','Victoria_Loukianetz','Mirusia_Louwerse','Aase_Nordmo_Løvberg','Sophie_Löwe','Thomas_Lowe','Hannelore_Lübeck','Germaine_Lubin','Pauline_Lucca','Veriano_Luchetti','Marianne_Lüdeke','Christa_Ludwig','Hanna_Ludwig','Walther_Ludwig_(Sänger)','Angelina_Luger','Franz_Lukasovsky','Tamara_Lund','Anne_Lünenbürger','Juan_Luria','Max_Lütgendorff','Jenny_Lutzer','Joseph_Lux','Käthe_Maas','Rose_Mac_Grew','Cornell_MacNeil','Viktor_Madin','Maria_Madlen_Madsen','Emily_Magee','Giovanni_Gualberto_Magli','Elisabeth_von_Magnus','Ulrike_Maria_Maier','Georg_Maikl','Liselotte_Maikl','Pauline_Mailhac','Badri_Maisuradse','Malvina_Major','Marija_Petrowna_Maksakowa_(Sängerin,_1977)','Ira_Malaniuk','Laszlo_Maleczky','Catherine_Malfitano','Maria_Malibran','Hugo_Mallet','Mathilde_Mallinger','Julius_Malten','Therese_Malten','Christopher_Maltman','Hans_Jörg_Mammel','Emma_Mampe-Babnigg','Arda_Mandikian','Francesco_Manelli','Giuseppe_Manghenoni','Josef_Mann','Josef_von_Manowarda','Eduard_Mantius','Müslüm_Maqomayev_(Sänger)','Elisabeth_Mara','Blanche_Marchesi','Mathilde_Marchesi','Alexander_Marco-Buhrmester','Christl_Mardayn','Eleonore_Marguerre','Maria_Antonia_von_Bayern','Ferdinand_Marian_(Sänger)','Georg_Marion','Henriette_Marion','Josef_Mark','Marianne_Markan','Franz_Markhoff','Maria_Markina','Holger_Marks','August_Markwordt','Mathilde_von_Marlow','Markus_Marquardt','Christin_Marquitan','Marie_von_Marra-Vollmer','Tony_Marshall','Sigrid_Martikke','Giorgio_Martin','Janis_Martin_(Sängerin,_1939)','Rebecca_Martin_(Opernsängerin)','Caterina_Martinelli','Giovanni_Martinelli_(Sänger)','Carmen_Martínez_Sierra','Carla_Martinis','Hillevi_Martinpelto','Tigran_Martirossian','Éva_Marton','Carl_Marx_(Sänger)','Alexei_Dmitrijewitsch_Maslennikow','William_Mason_(Sänger)','Carolin_Masur','Amalie_Materna','Edith_Mathis','Desider_Mátray-Novák','Nino_Matschaidse','Peter_Mattei','Johann_Mattheson','Karita_Mattila','Sigmund_Matuszewski','Hagen_Matzeit','Victor_Maurel','Elsie_Maurer','Rolf_Mautz','Jaroslava_Maxová','Hermine_May','Christa_Mayer','Frederic_Mayer','Friedrich_Ludwig_August_Mayer','Theodor_Mayer_(Sänger)','Elfie_Mayerhofer','Benedikt_Mayr_(Sänger)','Richard_Mayr','Franz_Mazura','Rudolf_Mazzola','John_McCormack_(Sänger)','James_McCracken','Barry_McDaniel','Claron_McFadden','Donald_McIntyre','Ellen_McLain','Marie_McLaughlin','Sylvia_McNair','Monika_Medek','Caroline_Medon','Henri_Médus','Bejun_Mehta','Eva_Mei','Waltraud_Meier','Friederike_Meinel','Joseph_Meißner_(Sänger)','Nellie_Melba','Lauritz_Melchior','Francesco_Meli','György_Melis','Hans_Melms','Giovanni_Meoni','Yoshikazu_Mera','Jan_Mergelkamp','Giorgio_Merighi','Grete_Merrem-Nikisch','Robert_Merrill','Chris_Merritt','Helene_Merviola','Nelly_Merz','Marina_Mescheriakova','Mady_Mesplé','Louise_Methfessel','Josef_Metternich_(Sänger)','Ottilie_Metzger','Peter_Meven','Auguste_Meyer','Miriam_Meyer','Werner_Volker_Meyer','Jutta_Meyfarth','Nadja_Michael','Ruth_Michaelis','Aloyse_Michalesi','Krystyna_Michałowska','Petra_van_der_Mieden','Julia_Migenes','Margarita_Alexandrowna_Miglau','Iva_Mihanovic','Khatuna_Mikaberidze','Aga_Mikolaj','Max_Mikorey_(Sänger)','Franz_von_Milde','Hans_Feodor_von_Milde','Rosa_von_Milde','Anna_von_Mildenburg','Anna_Milder-Hauptmann','Georgine_von_Milinkovic','Arnold_van_Mill','Mildred_Miller','Wolfgang_Millgramm','Lisa_Milne','Sherrill_Milnes','Sara_Mingardo','Regina_Mingotti','Peter_Minich','Yvonne_Minton','Nelly_Miricioiu','Maxim_Mironow','Jewhenija_Miroschnytschenko','Pavel_Mirov','Robert_Mirtsch','Urszula_Mitrenga-Wagner','Georg_Mittermayr','Anton_Mitterwurzer_(Sänger)','Florian_Mock','Martha_Mödl','Emma_Moerdes','Rudolf_Moest','Anna_Moffo','Thomas_Mohr','Hans_Mohwinkel','Stefánia_Moldován','Vasile_Moldoveanu','Kurt_Moll','Aldomir_Mollov','Karl_Melchior_Jakob_Moltke','Carl_Momberg','Antonio_Montagnana','Diana_Montague','Mehrzad_Montazeri','Sandra_Moon','Grace_Moore','Latonia_Moore','Rachel_Anne_Moore','Rosa_Morandi','Fanny_Moran-Olden','Igor_Morosow','James_Morris_(Sänger)','Edda_Moser','Joachim_Moser','Thomas_Moser','Johann_Theodor_Mosewius','Elena_Moșuc','Martin_Muehle','Alfred_Muff','Johanna_Mugrauer','Kurt_Mühlhardt','Inva_Mula','Anneliese_Müller','Hajo_Müller','Hanna-Elisabeth_Müller','Louise_Müller_(Sängerin,_1763)','Louise_Müller_(Sängerin,_1876)','Maria_Müller_(Sängerin)','Marianne_Müller_(Schauspielerin)','Michael_Müller_(Sänger)','Nico_Müller_(Sänger)','Hanno_Müller-Brachmann','Helga_Müller-Molinari','Lucien_Muratore','Heidi_Grant_Murphy','Ann_Murray','Chris_Murray_(Musicaldarsteller)','Ilma_von_Murska','Martha_Musial','Bartolo_Musil','Melitta_Muszely','Claudius_Muth','Tomislav_Mužek','Claudia_Muzio','Olga_Mykytenko','Olexander_Pylypowytsch_Myschuha','Dmitri_Nabokov','Franz_Innozenz_Nachbaur','Noëmi_Nadelmann','Magda_Nádor','Petra_Nadvornik','Yvonne_Naef','Randi_Lindtner_Næss','Valentina_Naforniță','Albine_Nagel','Octavian_Naghiu','Michael_Nagy','Ann-Katrin_Naidu','Akiko_Nakajima','Minna_Nanitz','Marita_Napier','Hans-Martin_Nau','Franz_Naval','Carl_Nebe_(Sänger,_1858)','Gustav_Neidlinger','Carl_Neldel','Georgi_Michailowitsch_Nelepp','Mária_Németh_(Sängerin)','Antonina_Wassiljewna_Neschdanowa','Jewgeni_Jewgenjewitsch_Nesterenko','Johann_Nestroy','Anna_Jurjewna_Netrebko','Auguste_Netz','Ferdinand_Neukäufler','Angelo_Neumann','Günter_Neumann_(Sänger)','Wolfgang_Neumann_(Sänger)','Vincent_Niclo','Mariana_Nicolesco','Antonius_Nicolescu','Laura_Nicorescu','Romano_Nieders','Inga_Nielsen','Albert_Niemann_(Sänger)','Dariusz_Niemirowicz','Gerd_Nienstedt','Danielle_de_Niese','Georg_Nigl','Liliana_Nikiteanu','Jewgeni_Igorewitsch_Nikitin','Birgit_Nilsson','Christine_Nilsson','Siegmund_Nimsgern','Jyrki_Niskanen','Hans_Hermann_Nissen','Henriette_Nissen-Saloman','Marni_Nixon','Hanns_Nocker','Bernhard_Noeldechen','Georg_Nollet','Alda_Noni','Lillian_Nordica','Jessye_Norman','Bent_Norup','Jean_Noté','Wolfgang_Nöth_(Sänger)','Evelin_Novak','Clara_Novello','Jarmila_Novotná','Julija_Nowikowa','Siphiwo_Ntshebe','Leo_Nucci','Camilla_Nylund','Elise_Kutscherra_de_Nyß','Rudolf_Oberhauser_(Sänger)','Karl_Oberhoffer','Alfred_Oberländer_(Sänger)','Jelena_Wassiljewna_Obraszowa','Wiesław_Ochman','Georg_Oeggl','Klaus_Ofczarek','Helene_Offenberg','Sabine_Offermann','Jelena_Michailowna_Okolyschewa','Josef_Olah','Elisabeth_Olin','Rosa_Olitzka','Magda_Olivero','Fritz_Ollendorff','Jennifer_O’Loughlin','Maria_Olszewska','Rebeca_Olvera','Joseph_O’Mara','Sigrid_Onégin','Fernando_del_Valle','Kristīne_Opolais','Sara_Oppenheimer','Alfred_Orda','Aglaja_Orgeni','Ľuba_Orgonášová','Adrienne_Osborne','Eva_von_der_Osten','Sigune_von_Osten','Vali_von_der_Osten','Karl_Aagard_Østvig','Georg_Ots','Karin_Ott','Philipp_Ott','Anne_Sofie_von_Otter','Lisa_Otto','Melitta_Otto-Alvsleben','Auguste_Otto-Wernthal','Leandra_Overmann','Susan_Owen-Leinert','Andrew_Owens','Ivan_Ozhogin','Michael_Pabst','Franz_Pácal','Mariano_Padilla_y_Ramos','August_Paetsch','Lorenzo_Pagans','Lina_Pagliughi','Emil_Pahren','Wolfgang_A._Palm','Felicity_Palmer','Nelly_Palmer','Dimi_Palos','Anna_Maria_Pammer','Helmut_Pampuch','Rolando_Panerai','Gregor_Otto_Papadopoulos','René_Pape','Günter_Papendell','Hasmik_Papian','Rosa_Papier','Frances_Pappas','Bogdan_Paprocki','Elizabeth_Parcells','Euphrosyne_Parepa-Rosa','Park_Jong-Min','Sébastien_Parotte','Peter_Parsch','Cristina_Pasaroiu','Tancredi_Pasero','Kostas_Paskalis','Georg_Paskuda','Ernst_Pasqué','Adele_Passy-Cornet','Anton_Passy-Cornet','Josef_Passy-Cornet','Giuditta_Pasta','Koloman_von_Pataky','Wilhelm_Patsche','Adelina_Patti','Amelia_Patti','Carlotta_Patti','Salvatore_Patti','Julius_Patzak','Gerhard_Paul_(Sänger)','Max_Pauli','Carl_Ludwig_Paulmann','Rose_Pauly_(Sängerin)','Luciano_Pavarotti','Barbara_Marie-Louise_Pavelka','Lenka_Pavlovič','Roman_Payer','Peter_Pears','Gerhard_Pechner','Dagmar_Pecková','Herwig_Pecoraro','Annely_Peebo','Jan_Peerce','Mary_Beth_Peil','Clementine_Pellegrini','Julius_Pellegrini','Pennarini','Angelika_Perechon','Niccolò_Peretti','Olga_Peretyatko','Teresa_Pérez_Frangie','Julius_Perotti','Carl_Perron','Miah_Persson','Aureliano_Pertile','Minna_Peschka-Leutner','Albert_Pesendorfer','Kismara_Pessatti','George_Petean','Fritz_Peter_(Sänger)','Mauro_Peter','Heinz_Peters','Roberta_Peters','Alexandra_Petersamer','Ann_Petersen_(Sängerin)','Gaia_Petrone','Radmilo_Petrović','Iwan_Iwanowitsch_Petrow','Francesco_Petrozzi','Josie_Petru','Oksana_Andrijiwna_Petrussenko','Jan_Petryka','Martin_Petzold','Carl_Pfann','Alfred_Pfeifle','Jean_Wilhelm_Pfendt','Sandrine_Piau','Hugo_Piccaneser','Alfred_Piccaver','Max_Pichler','Monica_Pick-Hieronimi','Adrianne_Pieczonka','Alice_Pierce','John_Pierce_(Sänger)','Katja_Pieweck','Julian_Pike','Jeanne_Piland','Josephine_Pilars_de_Pilar','Helga_Pilarczyk','Diane_Pilcher','Ezio_Pinza','Saimir_Pirgu','Marianne_Pirker','Luca_Pisaroni','Johann_Baptist_Pischek','Martin_Piskorski','Katalin_Pitti','David_Pittman-Jennings','Gertrude_Pitzinger','Franziska_Pixis','Pol_Plançon','Katia_Plaschka','Friedrich_Plaschke','Ferdinand_von_Plettenberg_(Sänger)','Hetty_Plümacher','Ewa_Podleś','Alfred_Poell','Gianni_Poggi','Jacques_Pohl_(Sänger)','Siegfried_Pokern','Arrigo_Pola','Deborah_Polaski','László_Polgár_(Sänger)','Marie-Sophie_Pollak','Françoise_Pollet','Bernhard_Pollini','Evelyn_Pollock','Louis_Antoine_Ponchard','Alfred_Pongratz','Lily_Pons','Rosa_Ponselle','Olivia_Pop','Ștefan_Pop','Lucia_Popp','Ruth_Poritzky','Franz_Porten','Ruža_Pospiš-Baldani','Berthold_Possemeyer','Annette_Postel','Christina_Poulitsi','Fanny_Pracher','Gregor_Prächt','Elisabeth_Pratscher','Jessica_Pratt','Christoph_Prégardien','Julian_Prégardien','Kurt_Preger','Ernst_Preuse','Arthur_Preuss_(Sänger)','Bruno_Prevedi','Zoë_Prévost','Florian_Prey','Hermann_Prey','Leontyne_Price','Margaret_Price','Joel_Prieto','Uta_Priew','Herbert_Prikopa','Sonia_Prina','Carrie_Pringle','Wolfgang_Probst','Max_Prodinger','Max_Proebstl','August_Prost','Francisca_Prudencio','Vladimir_Prudnikov','Henri_Puget','Hella_Puhlmann','Alexander_Puhrer','Ruth-Margret_Pütz','Thomas_Quasthoff','Anna_Quilling','Anton_Raaff','Marie_von_Rabatinsky','Franziska_Rabl','Louise_Radecke','Julius_Radichi','Maria_Radner','Elisabeth_Radó','Sondra_Radvanovsky','Walter_Raffeiner','Inken_Rahardt','Jewgeni_Tichonowitsch_Raikow','Gianni_Raimondi','Ildikó_Raimondi','Ruggero_Raimondi','Leon_Rains','Rosa_Raisa','Einar_Ralf','Samuel_Ramey','Alejandro_Ramírez_(Sänger)','Melba_Ramos','Louise_Ranco','Diogenes_Randes','Eva_Randová','Sally_du_Randt','Nell_Rankin','Fritz_Rapp','Signe_von_Rappe','Arno_Raunig','Aulikki_Rautawaara','Venanzio_Rauzzini','Emil_Raykov','Paul_Razavet','Marina_Rebeka','Lebrecht_Rebenstein','Elisabeth_Řebíček-Löffler','Friedrich_Rebling','Heinz_Reeh','Paul_Reeves_(Sänger)','Jana_Reh','Heinz_Rehfuss','Heinrich_Rehkemper','Paul_Rehkopf','Elsa_Reich','Günther_Reich','Alexander_Reichardt','Elisabeth_Reichelt','Hedwig_Reicher-Kindermann','Waldemar_Reichhard','Poul_Reichhardt','Theodor_Reichmann','Kurt_Reimann','Delia_Reinhardt_(Sängerin)','Norman_Reinhardt','Ursula_Reinhardt-Kiss','Anna_Reinhold','Maria_Reining','Hans_Reinmar','Alexandra_Reinprecht','Sebastian_Reinthaller','Mark_Ossipowitsch_Reisen','Albert_Reiß','Chen_Reiss','Birgit_Remmert','Fritz_Rémond_senior','Marie_Renard','Meta_Renner','Kobie_van_Rensburg','Wolfgang_Resch','Regina_Resnik','Ulrich_Reß','Jean_de_Reszke','Elisabeth_Rethberg','Esther_Réthy','József_Réti','Christoph_Reuland','Theodor_Reuß','Anna_Reynolds','Girard_Rhoden','Jane_Rhodes','Katia_Ricciarelli','Max_Richards','Bernard_Richter','Regina_Richter','Karl_Ridderbusch','Bernd_Riedel_(Sänger)','Kenneth_Riegel','Regina_Riel','Felix_Rienth','Antoinette_Ries','Lorenzo_Riese','Walter_Rieß','Vincenzo_Righini','Susan_Rigvava-Dumas','John_Riley-Schofield','Oliver_Ringelhahn','Rudolf_Ritter','Martin_Ritzmann','Gaston_Rivero','Leif_Roar','Susan_Roberts','Mado_Robin','Gail_Robinson','Christopher_Robson','Elisabeth_Röckel','Joseph_August_Röckel','Wilhelm_Rode','Davinia_Rodriguez','Elisabeth_Roediger','Nigel_Rogers','Max_Rohr_(Sänger)','Otto_von_Rohr','Hermann_Rohrbach','Sofie_Röhr-Brajnin','Hans_Rokitansky','Viktor_Rokitansky','Anthony_Rolfe_Johnson','Stella_Roman','Elin_Rombo','Giorgio_Ronconi','Gabriele_Maria_Ronge','Jan-Hendrik_Rootering','Dorothea_Röschmann','Willy_Rosenau','Franz_Rosner','Hilde_Rössel-Majdan','Luigi_Rossi','Hans_Rössling','Gabriele_Rossmanith','Andrea_Rost','Helge_Rosvaenge','Detlef_Roth','Therese_Rothauser','Joseph_Rothe','Peter_Roth-Ehrang','Anneliese_Rothenberger','Léon_Rothier','Charles_Rousselière','Kate_Royal','Marie_Roze','Jan_Rubeš','Giovanni_Battista_Rubini','Artur_Ruciński','Viktor_Rud','Tresi_Rudolph','Alwin_Ruffini','Titta_Ruffo','Paolo_Rúmetz','Peter-Christoph_Runge','Gertrude_Rünger','Konrad_Rupf','James_Rutherford','Esa_Ruuttunen','Basil_Ruysdael','Nada_Ruždjak','Lance_Ryan','Kurt_Rydl','Leonie_Rysanek','Lotte_Rysanek','Ignaz_Saal','Xavier_Sabata','Hans_Michael_Sablotny','Roberto_Saccà','Jürgen_Sacher','Leopold_Sachse','Anna_Sachse-Hofmeister','Erna_Sack','Roman_Sadnik','Erik_Saedén','Olivia_Safe','Alessandro_Safina','Friederike_Sailer','Lussine_Sakarjan','Spyros_Sakkas','Jasmina_Sakr','Felice_Salimbeni','Matti_Salminen','Sarianna_Salminen','Heinrich_Salomon','Anita_Salta','Richard_Salter','Mafalda_Salvatini','Adrian_Sâmpetrean','Anna_Samuil','Louis_van_de_Sande','Aline_Sanden','Klemens_Sander','Amélie_Sandmann','Nino_Sandow','Paula_Santa','Charles_Santley','Elena_Sanz','Olivia_Saragosa','Birgit_Sarata','Ada_Sari','Anna_Maria_Sarra','Hossein_Sarshar','Deborah_Sasson','Ana_Raquel_Satre','Wieland_Satter','Joachim_Sattler','Marit_Sauramo','Bidu_Sayão','Herbert_Schachtschneider','Michael_Schade_(Sänger)','Lotte_Schädle','Fritz_Schaetzler','Christine_Schäfer','Benedikt_Schak','Fjodor_Iwanowitsch_Schaljapin','Hans_Schanzara','Gustav_Scharfe','Tobias_Scharfenberger','Elisabeth_Schärtel','Rudolf_Schasching','Pauline_von_Schätzel','Agnese_Schebest','Marianne_Schech','Nanette_Schechner','Céline_Scheen','Josephine_Schefsky','Karl_Scheidemantel','Arno_Schellenberg','Dagmar_Schellenberger','Otto_Schelper','Gabriela_Scherer','Gisela_Scherzer-Rening','Heinrich_Scheuten','Margarete_Luise_Schick','Marga_Schiml','Cläre_Schimmel','Ferdinand_Schimon','Aksel_Schiøtz','Tito_Schipa','Emil_Schipper','Vincent_Schirrmacher','Grigori_Anatoljewitsch_Schkarupa','Antonie_Schläger','Anny_Schlemm','Annika_Schlicht','Anja_Schlosser','Max_Schlosser_(Sänger)','Carl_Schlottmann','Heinrich_Schlusnus','Erna_Schlüter','Auguste_Amalie_Schmalz','Jochen_Schmeckenbecher','Erik_Schmedes','Lukas_Schmid','Matthäus_Schmidlechner','Andreas_Schmidt_(Sänger)','Bernhard_Schmidt_(Sänger)','Friedrich_Ludwig_Schmidt_(Schauspieler,_1833)','Heinrich_Schmidt_(Schauspieler,_1809)','Joseph_Schmidt','Maria_Schmidt','Trudeliese_Schmidt','Barbara_Schmidt-Gaden','Gisela_Schmidting','Marilyn_Schmiege','Karl_Schmitt-Walter','Daniel_Schmutzhard','Gabriele_Schnaut','Bernhard_Schneider_(Sänger)','Jörg_Schneider_(Sänger)','Maschinka_Schneider','Helene_Schneiderman','Ilsemarie_Schnering','Petra-Maria_Schnitzer','Ludwig_Schnorr_von_Carolsfeld_(Sänger)','Ruth_Schob-Lipka','Knut_Schoch','Rudolf_Schock','Vera_Schoenenberg','Paul_Schöffler','Elvira_Scholz','Sophie_von_Schönburg-Waldenburg','Lotte_Schöne','Peter_Schöne','Wolfgang_Schöne_(Sänger)','Paula_Schönfeld','Ingeborg_Schöpf','Michael_Schopper','Regina_Schörg','Friedrich_Schorr','Amalie_Schramm','Anna_Schramm','Ernst_Gerold_Schramm','Hermann_Schramm_(Sänger)','Margit_Schramm','Patrick_Schramm','Henriette_Schramm-Graham','Peter_Schreier','Wilhelmine_Schröder-Devrient','Ursula_Schröder-Feinen','Marie_Schröder-Hanfstängl','Fritz_Schrödter','Gisela_Schröter','Erwin_Schrott','Georgine_Schubert','Clementine_von_Schuch','Liesel_Schuch-Ganzel','Clementine_von_Schuch-Proska','Andrè_Schuen','Nikolai_Schukoff','Franz_Schuler_(Sänger)','Eike_Wilm_Schulte','Golda_Schultz','Josephine_Schultz-Killitschky','Egon_Schulz','Mathias_Schulz','Horst_Schulze','Peter_Schulz-Jaros','Elisabeth_Schumann','Ernestine_Schumann-Heink','Robert_Schunk','Joseph_Schuster_(Sänger)','Amelie_Schütky','Amalie_Schütz','Carl_Schütz_(Theaterleiter)','Ernst_Schütz','Rosl_Schwaiger','Bodo_Schwanbeck','Anne_Schwanewilms','Elisabeth_Schwarz_(Sängerin)','Hanna_Schwarz','Joseph_Schwarz_(Sänger)','Vera_Schwarz_(Sängerin)','Raphael_Schwarzer','Elisabeth_Schwarzkopf','Leonore_Schwarz-Neumaier','Elvira_Schweida','Paul_Schweinester','Markus_Schwendemann','Willi_Schwenkreis','Stefan_Schwer','Wolfgang_von_Schwind','Wilhelm_Schwinghammer','Graziella_Sciutti','Renata_Scotto','Sara_Scuderi','Magdalene_Seebe','Irmgard_Seefried','Therese_Seehofer','Edward_Seguin','Andrés_de_Segurola','Max_Johann_Seidel','Christoph_Seidl_(Sänger)','Teresa_Seidl','Karoline_Seidler-Wranitzky','Peter_Seiffert','Ferdinand_Seiler','Anette_Seiltgen','Meta_Seinemeyer','Joseph_Seipelt','Franz-Josef_Selig','Marcella_Sembrich','Jekaterina_Sementschuk','Barbara_Senator','Senesino','Daniel_Serafin','Martina_Serafin','Mario_Sereni','David_Serero','Arturo_Sergi','Luciana_Serra','Impératrice_Sessi','Robert_Settekorn','Rita_Shane','Donald_Shanks_(Sänger)','Miriam_Sharoni','Shivko_Shelev','Amy_Sherwin','Neil_Shicoff','John_Shirley-Quirk','Emil_Siebert','Gerhard_Siegel','Georg_Sieglitz','Gustav_Siehr','Anke_Sieloff','Margarethe_Siems','Cesare_Siepi','Nadine_Sierra','Hans_Siewert_(Sänger)','Adolf_Sigmundt','Maria_Sigri','Anja_Silja','Beverly_Sills','Lomelino_Silva','Paolo_Silveri','Gabriele_Sima','József_Simándy','Goran_Simić','Giulietta_Simionato','Joanna_Simon','Léopold_Simoneau','Adrineh_Simonian','Rainer_Simons','Martial_Singher','Hans_Sisa','Heikki_Siukola','Margareta_Sjöstedt','Wicus_Slabbert','Anna_Slach','Anna_Olegowna_Smirnowa','Jocelyn_B._Smith','Robert_Dean_Smith','Patricia_Snell','Leonid_Witaljewitsch_Sobinow','Elisabeth_Söderström','Doris_Soffel','Katerina_Sokolová-Rauer','Bogna_Sokorska','Jean-Pierre_Solié','Vladislav_Solodyagin','Anatoli_Solowjanenko','Ann-Beth_Solvang','Peter_Sonn','Ulrike_Sonntag','Emmy_Sonntag-Uhl','Franziska_Sontag','Nina_Sontag','Heinrich_Sontheim','Walter_Soomer','Fritz_Soot','Christiane_Sorell','Hans_Sotin','Elvira_Soukop','Elena_Souliotis','Kurt_Leo_Sourisseaux','Gérard_Souzay','Çiğdem_Soyarslan','Paul_Späni','Sybille_Specht','Karl_Speichler','Toby_Spence','Kenneth_Spencer','Magda_Spiegel','Hermine_Spies','Ludovic_Spiess','Renate_Spingler','Henriette_Spitzeder','Josef_Spitzeder','Carla_Spletter','Erna_Spoorenberg','Michael_Spyres','Alfred_Šramek','Frederica_von_Stade','Maria_Stader','Franziska_Stading','Max_Staegemann','Waldemar_Staegemann','Roberto_Stagno','Caroline_Stam','Snežana_Stamenković','Harald_Stamm','Emil_Stammer','Phil_Stark','Gisela_Staudigl','Josef_Staudigl_(Sänger,_1850)','Agnes_Stavenhagen','Nadja_Stefanoff','Ingeborg_Steffensen','Christoph_Stegemann','Sophie_Stehle','Harry_Steier','Ulrike_Steinsky','Nina_Stemme','Carl_Stenborg','Georg_Stern_(Sänger)','Karoline_Stern','Maurice_Stern','Berthold_Sterneck','Emy_von_Stetten','Risë_Stevens','Thomas_Stewart_(Sänger)','Teresa_Stich-Randall','Uwe_Stickert','Kay_Stiefermann','Giorgio_Stigelli','Ebe_Stignani','Krassimira_Stojanowa','Eric_Stoklossa','Adele_Stolte','Rosine_Stoltz','Teresa_Stolz','Gerhard_Stolze','Willi_Störring','Anny_von_Stosch','Vesselin_Stoykov','Anna_Maria_Strada','Ludwig_Strakosch','Teresa_Stratas','Carl_Strätz','Walter_Streckfuß','Willy_Strehl','Rita_Streich','Kurt_Streit','Karl_Streitmann','Giuseppina_Strepponi','Wilhelm_Strienz','Teresa_Strinasacchi','Ottilie_Strobach','Falk_Struckmann','Grete_Stückgold','Werner_Stückmann','Cheryl_Studer','Christian_Sturm_(Sänger)','Max_Stury','Nathalie_Stutzmann','Milada_Šubrtová','Conchita_Supervía','Franz_Supper','Ludwig_Suthaus','Joan_Sutherland','Anna_Sutter','Beatrice_Sutter-Kottlar','Ernst-Dieter_Suttheimer','Set_Svanholm','Peter_Svensson','Liane_Synek','Erich_Syri','Károly_Szilágyi','Elżbieta_Szmytka','Olga_Szőnyi','Jerzy_Szymański','Fanny_Tacchinardi-Persiani','Giuseppe_Taddei','Eugenia_Tadolini','Emilie_Tagliana','Roberto_Tagliavini','Jean-Alexandre_Talazac','Herta_Talmar','Martti_Talvela','Francesco_Tamagno','Enrico_Tamberlik','Antonio_Tamburini_(Sänger)','Tōru_Tanabe','Kevin_Tarte','Émile-Alexandre_Taskin','Anna_Tassopoulos','Laura_Tătulescu','Richard_Tauber','Derek_Taylor_(Sänger)','Kiri_Te_Kanawa','Robert_Tear','Renata_Tebaldi','Monika_Teepe','Bryn_Terfel','Karl_Terkal','Vittorio_Terranova','Zachos_Terzakis','Margarete_Teschemacher','Luisa_Tetrazzini','Maggie_Teyte','Ludovic_Tézier','Antonio_Theba','Iréne_Theorin','Élisabeth_Thible','Helga_Thiede','Karl-Heinz_Thiemann','Georges_Thill','Ines_Thomas_Almeida','Elin_Manahan_Thomas','Jess_Thomas','Weldon_Thomas','Kerstin_Thorborg','Penelope_Thorn','Ashley_Thouret','Lawrence_Tibbett','Josef_Tichatschek','Therese_Tietjens','Lisa_Tjalve','Albertine_Tochtermann','Luísa_Todi','Catherine_Tofts','Heikki_Toivanen','Mirjam_Tola','Friederike_Tomasini','John_Tomlinson_(Sänger)','Anna_Tomowa-Sintow','Marie_Tomschik','Ileana_Tonca','Hertha_Töpper','Matias_Tosi-Socolov','Huguette_Tourangeau','Jennie_Tourel','Giorgio_Tozzi','Karl_Trapp','Sandra_Trattnigg','Helen_Traubel','Josef_Traxel','Ute_Trekel-Burckhardt','Günther_Treptow','Katerina_Tretyakova','Louis_Treumann','Milka_Trnina','Natalja_Leonidowna_Troizkaja','Rainer_Trost','Elfride_Trötschel','Tatiana_Troyanos','Henny_Trundt','Jelysaweta_Tschawdar','Christian_Tschelebiew','Amanda_Tscherpa','Oleg_Tsybulko','Alexander_Tsymbalyuk','Richard_Tucker','Leopoldine_Tuczek','Moritz_Tullinger','Alice_Tully','Tarja_Turunen','Aura_Twarowska','Louis_Ucko','Karl_Ueberhorst','Francesco_Uetam','Hermann_Uhde_(Sänger)','Fritz_Uhl','Manuela_Uhl','Christiane_Uhlhorn','Walter_Uhlig','Hildegard_Uhrmacher','Ronald_Ulen','Leopoldine_Ullmann','Carolina_Ullrich','Albrecht_von_Ulmann','Wilhelm_Ulrici','Klara_Ungar_(Sängerin)','Caroline_Unger','Gerhard_Unger','Clemens_Unterreiner','Karl_Wilhelm_Ferdinand_Unzelmann','Wilhelmine_Unzelmann-Werner','Dawn_Upshaw','Petra_Urban_(Sängerin)','Eva_Urbanová','Jacques_Urlus','Violeta_Urmana','Irma_Urrila','Viorica_Ursuleac','Verena_Usemann','Natalia_Ushakova','Romana_Vaccaro','Leontina_Văduva','Margarete_von_Vahsel','Boris_Vajda','Sylvie_Valayre','Giuseppe_Valdengo','Lucia_Valentini_Terrani','Anita_Välkki','Ninon_Vallin','Richard_Van_Allan','François_Van_Campenhout','José_van_Dam','Marie_van_Zandt','Alain_Vanzo','Júlia_Várady','Felice_Varesi','Ramón_Vargas','Astrid_Varnay','Lauri_Vasar','Kyra_Vayne','Dunja_Vejzovic','Pietro_Venerandi','Franco_Ventriglia','Maria_Venuti','Fanchette_Verhunc','Iris_Vermillion','Shirley_Verrett','Richard_Versalle','Wilhelm_Versing','Katharina_Vespermann','Klara_Vespermann','Felicita_von_Vestvali','Franz_Xaver_Vetter','Josefine_Vettori','Pauline_Viardot-García','Jon_Vickers','Melchiorre_Vidal','Eduardo_Villa','Jon_Villars','Rolando_Villazón','Irmgard_Vilsmaier','Ramón_Vinay','Dominique_Visse','Lieuwe_Visser','Horst_Vladar','Adolf_Vogel','Siegfried_Vogel_(Sänger)','Fritz_Vogelstrom','Klaus_Florian_Vogt','Friederike_Vohs','Heinrich_Vohs','Christian_Voigt_(Sänger)','Deborah_Voigt','Alfred_Vökt','Franz_Völker','Georg_Völker_(Sänger)','Bogdan_Volkov','Michael_Volle','Darío_Volonté','Anke_Vondung','Emanuel_Voß','Jutta_Vulpius','Pavla_Vykopalová','Bjørn_Waag','Johann_Michael_Wächter','Steve_Wächter','Ray_M._Wade_junior','Eberhard_Waechter','Anja_Daniela_Wagner','Johanna_Wagner','Minna_Wagner_(Sängerin)','Sieglinde_Wagner','Christian_Wahle','Mathilde_Waldhauser','Carl_Maria_Waldmeier','Katharina_Waldmüller','Monika_Walerowicz','Erin_Wall','Wendy_Waller','Johann_Walleshauser','Irene_Wallner','Adolf_Wallnöfer','Klaus_Wallprecht','Deon_van_der_Walt','Sabina_von_Walther','Victor_Warot','Leonard_Warren','Sebastian_Wartig','Jörg_Waschinski','Yoko_Watanabe','Claire_Watson','Helen_Watts','Karl_Wauer','Carl_August_Weber_(Sänger)','Clara_Weber','Genovefa_Weber','Georg_Weber_(Schauspieler,_1842)','Ludwig_Weber_(Sänger)','Peter_Weber_(Sänger)','Frida_Weber-Flessburg','Erika_Wedekind','Marion_Weed','Walburga_Wegner','Friedrich_Weidemann','Bernd_Weikl','Thomas_Weinhappel','Ernst_Weiß_(Schauspieler)','Georg_Fritz_Weiß','Silvia_Weiss','Adrienne_Weitz','Ljuba_Welitsch','Caroline_Wenborne','Marlise_Wendels','Dorothea_Wendling','Elisabeth_Augusta_Wendling_(Sängerin,_1746)','Elisabeth_Augusta_Wendling_(Sängerin,_1752)','Ortrun_Wenkel','Spas_Wenkoff','Markus_Werba','Wanda_Wermińska','Alexandra_von_der_Weth','Maria_Riccarda_Wesseling','Erich_Wessner','Eva-Maria_Westbroek','Barbara_Lucietta_Fricemelica_Westenholz-Affabili','McKenzie_Westmore','Günter_Wewel','Willard_White','Achim_Wichert','Auguste_Wiegand','Josef_Anton_Heinrich_Wiegand','Sylvia_Wieland','Ernst_Wiemann','Otto_Wiener_(Sänger)','Georg_Wieter','Franz_Wild_(Sänger)','Mathilde_Wildauer','Helene_Wildbrunn','Ralf_Willershäuser','Camilla_Williams','Daniel_Lewis_Williams','Jörn_W._Wilsing','Marie_Wilt','Gösta_Winbergh','Hans_Winckelmann_(Sänger)','Matthias_Winckhler','Wolfgang_Windgassen','Katharina_Wingen','Hermann_Winkelmann','Andreas_Winkler_(Sänger)','Hermann_Winkler_(Sänger)','Ljiljana_Winkler','Alexander_Winogradow_(Sänger)','Lawrence_Winters','Ellen_Winther','Erik_Wirl','Galina_Pawlowna_Wischnewskaja','Lore_Wissmann','Sybille_Witkowski','Josef_Witt','Erich_Witte','Christoph_Wittmann','Johanna_Wittmann','Marcel_Wittrisch','Friedrich_August_Witz','Ingvar_Wixell','Hans_Wocke_(Sänger)','Rüdiger_Wohlers','Erwin_Wohlfahrt','Brigitte_Wohlfarth','Raymond_Wolansky','Lars_Woldt','Sophie_Wolf_(Sängerin)','Martin_Wölfel','Konstantin_Wolff','Paul_Wolfrum','Eduard_Wollitz','Friedrich_August_Andreas_Woltereck','Charles_Workman_(Sänger)','Max_Worthley','Endrik_Wottrich','Wilhelmine_von_Wrochem','Martina_Wulf','Cornelia_Wulkopf','Fritz_Wunderlich','Josef_Wurda','Franz_Wyzner','Rachel_Yakar','Bruce_Yarnell','Pretty_Yende','Sonya_Yoncheva','Eun_Yee_You','Kwangchul_Youn','Samuel_Youn','Blanche_Yurka','Hilde_Zadek','Marianne_Friederike_Cäcilie_Zaengl','Mara_Zampieri','Anneliese_Zänsler','Cornélie_van_Zanten','Rosl_Zapf','Elena_Zaremba','Julius_Zarest','Kārlis_Zariņš','Jeannette_Zarou','Lawrence_Zazzo','Virginia_Zeani','Heinz_Zednik','Gustav_Zeitzschel','Heinrich_Zeller','Georg_Zeppenfeld','Anna_Zerr','Benno_Ziegler_(Sänger)','Ruth_Ziesak','Christa_Maria_Ziese','Toni_Zimmerer','Ingeborg_Zink','Marianne_Zoff','Fritz_Zohsel','Rudolf_del_Zopp','Georg_Zottmayr','Nina_Zottmayr-Hartmann','Helena_Zubanovich','Marietta_Zumbült','Michael_Zumpe','Ida_zur_Nieden','Oliver_Zwarg','Boiko_Zwetanow','Teresa_Żylis-Gara') ))  ORDER BY pl_title,pl_from LIMIT 5001  
Function: ApiQueryBacklinksprop::run
Error: 2013 Lost connection to MySQL server during query (10.64.48.25)
 {"exception_id":"V3UtBgpAANIAAByo3I4AAACV"} 
[Exception DBQueryError] (/srv/mediawiki/php-1.28.0-wmf.7/includes/db/Database.php:934) A connection error occured. 
Query: SELECT  pl_title,pl_from,pl_namespace AS `bl_namespace`,pl_title AS `bl_title`,page_id,page_title,page_namespace,page_is_redirect  FROM `pagelinks`,`page`   WHERE (pl_title > 'Michael_Müller_(Sänger)' OR (pl_title = 'Michael_Müller_(Sänger)' AND (pl_from >= 68981))) AND (pl_from = page_id) AND ((pl_namespace = '0' AND pl_title IN ('Opernsänger','Lina_Abarbanell','Luigia_Abbadia','Emma_Abbott','Irene_Abendroth','Varduhi_Abrahamyan','Wanda_Achsel','Aino_Ackté','Theo_Adam','Josef_Valentin_Adamberger','Carl_Adami','Adele_Addison','Titilayo_Adedokun','Bruno_Aderhold','Siegfried_Adler','Eva_Adler-Hugonnet','Gabriela_Adorni','Augustarello_Affre','Karola_Ágai','Maria_Agresta','Ida_Ahlers','Mathieu_Ahlersmeyer','Claes-Håkan_Ahnsjö','Hans_Georg_Ahrens','Frank_van_Aken','Gan-ya_Ben-gur_Akselrod','Roberto_Alagna','Licia_Albanese','Emma_Albani','Werner_Alberti','Marietta_Alboni','Teresa_Albuzzi-Todeschini','Tomás_Alcaide','Bernd_Aldenhoff','Gottardo_Aldighieri','Dirk_Aleschus','Maria_Alexander','Roberta_Alexander','Ines_Alfani-Tellini','Marianne_Alfermann','Irene_Alföldi','Lucia_Aliberti','Adolphe-Joseph-Louis_Alizard','Josef_Alken','Minna_Alken-Minor','Betty_Allen','Maud_Perceval_Allen','Thomas_Allen_(Sänger)','Thomas_Michael_Allen','Heinrich_Allmeroth','Babette_Allram','Marian_Alma','Laura_Alonso_Padín','Gitta_Alpár','Graciela_Alperyn','Herbert_Alsen','Saadet_İkesus_Altan','Bella_Alten','Max_Altglass','Jeannine_Altmeyer','Theo_Altmeyer','Marie_Altona','Luigi_Alva','Carlos_Álvarez_(Sänger)','Marcelo_Álvarez','Lorenzo_Alvary','Max_Alvary','Pasquale_Amato','Émilie_Ambre','Zdravka_Ambrić','Joseph_Karl_Ambrosch','David_Ameln','Anna_Lucia_de_Amicis','Marion_Ammann','Angelo_Amorevoli','Rosette_Anday','Alois_Ander','Peter_Anders_(Sänger)','Alf_Andersen_(Sänger)','June_Anderson','Marian_Anderson','Susanna_Andersson','Francisco_d’Andrade','Johanna_André','Melanie_Andrée','Giovanni_Battista_Andreoni','Ivar_F._Andrésen','Ain_Anger','Margit_Angerer','Wolfgang_Anheisser','Annagul_Annakuliyeva','Domenico_Annibali','Erik_Anstine','Georg_Anthes','Charles_Anthony','Luigi_Antinori','Ioannis_Apostolou','Pavlina_Apostolova','Wolf_Appel','Hans_Appelbaum','Giuseppe_Appiani_(Sänger)','Benjamin_Appl','Rolf_Apreck','Jaume_Aragall','Francisco_Araiza','Giannina_Arangi-Lombardi','Desider_Aranyi','Neill_Archer','Irina_Konstantinowna_Archipowa','Alessio_Arduini','Nancy_Argenta','Aris_Argiris','Oxana_Arkaeva','Erik_Årman','Karan_Armstrong','Kevin_Armstrong_(Sänger)','Sheila_Armstrong','Arndís_Halla','Anton_Arnold','Irmgard_Arnold','Sophie_Arnould','Blanche_Arral','Martina_Arroyo','Donald_Arthur','Josefine_von_Artner','Désirée_Artôt_de_Padilla','Brian_Asawa','Rudolf_Asmus','Michael_Aspinall','Carl_Astner','Stephanie_Atanasov','Wladimir_Andrejewitsch_Atlantow','Gabriele_Auenmüller','Arleen_Augér','Anja_Augustin','Ludwig_Auspitz','Frederic_Austin','Kerstin_Avemo','Hugo_Avendaño','Kurt_Azesberger','Karine_Babajanyan','Anton_Babnigg','Monica_Bacelli','Per_Bach_Nissen','Eduard_Bachmann','Hermann_Bachmann_(Sänger)','Catharina_Bäcker','Gabriel_Bacquier','Hans-Dieter_Bader','Cesare_Badiali','Janina_Baechle','Yoonki_Baek','Evelyn_Baghcheban','Anja-Nina_Bahrmann','Anna_Baier','Ida_Baier','Janice_Baird','Igor_Bakan','Viktorija_Bakan','Janet_Baker','Georges_Baklanoff','Aldo_Baldin','Michael_William_Balfe','Max_Ballmann','Anton_Balluff','Agnes_Baltsa','Rose_Bampton','Rudolf_Bandler','Alexander_von_Bandrowski','Marta_Banfalvi','Wolfgang_Bankl','Juliane_Banse','Ludwig_Bär_(Musiker)','Olaf_Bär','Sári_Barabás','Claudia_Barainsky','Kristina_Baran','Emőke_Baráth','Fedora_Barbieri','Caterina_Barili','Daniele_Barioni','Gun-Brit_Barkmin','Linda_Barla_Ricci','Klara_Barlow','Reinhold_Bartel','Jean_Bartet','Clarry_Bartha','Cecilia_Bartoli','Rita_Bartos','Robert_Bartram','Alfred_von_Bary','Jasmin_Bašić','Hans_Basil','Louisa_Bassano','Adolf_Bassermann','Luigi_Bassi','Eduard_Basta','Julie_Basta','Marie_Basta','Dilara_Baştar','Ettore_Bastianini','Jules_Bastin','Ulf_Bästlein','Jane_Bathori','Hans_Batteux','Franz_Xaver_Battisti','Mattia_Battistini','Kathleen_Battle','Juri_Batukov','Alfred_Bauberger','Louis_Bauer','Mathilde_Bauermeister','Emma_Ba

I don't know why it doesn't have the usual backtrace.

Umherirrender added a comment.EditedJun 30 2016, 2:51 PM

@Umherirrender when was the last time (aproximately) that this call gave you an error? I cannot find it on the logs, but I may just need to change the window of search?

It was occured some minutes for creating the task. I have now rerun my link and it fails right now.

{
    "servedby": "mw1142",
    "error": {
        "code": "internal_api_error_DBQueryError",
        "info": "[V3UxvApAEHoAAFIxMx0AAABC] Database query error"
    }
}

Ah, I could not find it because this is not a "db error" but an exception, of which there is not much difference, but it goes to a different log file.

I think this is not a timeout issue (for once), I think this fails more hardly (a behavior consistent with the exception).

To be fair, the query generated is not trivial (it is a 64K text):

$ my dewiki < large_query_explain.txt 
*************************** 1. row ***************************
           id: 1
  select_type: SIMPLE
        table: pagelinks
         type: ref
possible_keys: pl_from,pl_namespace,pl_backlinks_namespace
          key: pl_backlinks_namespace
      key_len: 4
          ref: const
         rows: 19828
        Extra: Using where; Using index; Using filesort
*************************** 2. row ***************************
           id: 1
  select_type: SIMPLE
        table: page
         type: eq_ref
possible_keys: PRIMARY
          key: PRIMARY
      key_len: 4
          ref: dewiki.pagelinks.pl_from
         rows: 1
        Extra: 

I note that an explain for that query seems to be choosing the wrong index:

+------+-------------+-----------+--------+---------------------------------------------+------------------------+---------+--------------------------+-------+------------------------------------------+
| id   | select_type | table     | type   | possible_keys                               | key                    | key_len | ref                      | rows  | Extra                                    |
+------+-------------+-----------+--------+---------------------------------------------+------------------------+---------+--------------------------+-------+------------------------------------------+
|    1 | SIMPLE      | pagelinks | ref    | pl_from,pl_namespace,pl_backlinks_namespace | pl_backlinks_namespace | 4       | const                    | 19828 | Using where; Using index; Using filesort |
|    1 | SIMPLE      | page      | eq_ref | PRIMARY                                     | PRIMARY                | 4       | dewiki.pagelinks.pl_from |     1 |                                          |
+------+-------------+-----------+--------+---------------------------------------------+------------------------+---------+--------------------------+-------+------------------------------------------+

Despite nothing in the query referring to the pl_from_namespace field, it's for some reason choosing the pl_backlinks_namespace index over pl_namespace.

jcrespo added a comment.EditedJun 30 2016, 3:19 PM

@Umherirrender May I ask you to test with a lower lhlimit ? I suspect there could be a limit in which it hits a tipping point where the database cannot handle it (e.g. it starts using the wrong index).

it's for some reason choosing the pl_backlinks_namespace index over pl_namespace.

That is easily explainable by a very large IN- large INs get treated differently than smaller INs, as checking every IN value by the optimizer can become too costly, so it uses imperfect shortcuts.

When I execute the query manually, it took 1 minute 3.31 seconds to return the results. Executing it with USE INDEX (pl_namespace) took a tiny fraction of a second, as expected.

@Umherirrender We are not going to ask you to do that, this is clearly an optimizer issue (although feel free to do that while this is solved).

@Anomie I support the idea of that change (although we should check it would not affect users in other cases). Ideally we should change eq_range_index_dive_limit to a larger value, but that is not possible in our current setup.

However, we should track all optimizer hints we add somewhere because they are landmines for future refactoring, and they are easy to add, but not to take away when they are no longer needed.

@jcrespo: I wonder if this would go away if https://gerrit.wikimedia.org/r/#/c/190774/ had actually been deployed to (all) the databases? i.e. is the problem here that the optimizer sees too huge of an IN for pl_title, so it gives up on deciding which index is better for the rest of the query and just picks the wrong one at random, and it would be fixed if it didn't have two indexes with pl_namespace, pl_title as a prefix to choose from?

Could you please file a ticket to check that (a Blocked-on-schema-change)? There may be hundreds of pending changes that were never deployed before I became DBA that I know nothing about (or, in some cases, that were directly applied to the database with 0 process or tracking in the early days), and I have not yet finished the tool to detect those.

Change 296789 had a related patch set uploaded (by Anomie):
API: Force indexes for prop=linkshere|transcludedin|fileusage

https://gerrit.wikimedia.org/r/296789

Could you please file a ticket to check that (a Blocked-on-schema-change)?

Done as T139090.

Change 296789 merged by jenkins-bot:
API: Force indexes for prop=linkshere|transcludedin|fileusage

https://gerrit.wikimedia.org/r/296789

Anomie closed this task as Resolved.Aug 18 2016, 2:44 PM
Anomie claimed this task.

The index forcing is merged, so I'm going to mark this as resolved now. If we want to have a task tracking that we should check whether this index forcing can be removed when the upstream https://jira.mariadb.org/browse/MDEV-10313 is fixed, I'd recommend we make a new task specifically for that purpose.

Yes, I will try to organize that (the documentation of optimizer bugs/workarounds/hacks/overrides) a bit better, but that is out of the scope of this ticket.